import { Form } from 'types/form'
import { Rights, Status } from 'types/generatedFormTypes'

export const mockedForm: Form = {
  name: 'mockedForm',
  status: Status.ACTIVE,
  config: null,
  publishDate: '2021-11-19',
  id: 'bb846f12-389d-47ba-ba1e-dd71d331d3f5',
  slug: 'mockedForm',
  organizationUuid: '0aa2beca-3819-4f49-aba2-2631e0bcbfb8',
  organizationName: 'Exxellence',
  private: false,
  rights: Rights.OWNER,
  formContent: {
    display: 'wizard',
    title: 'mockedForm',
    name: 'formname',
    type: [
      'form'
    ],
    components: [
      {
        title: 'Page 1',
        label: 'Page 1',
        type: 'panel',
        key: 'page1',
        ignore: false,
        components: [
          {
            label: 'Anoniem',
            labelWidth: '',
            labelMargin: '',
            description: '',
            tooltip: '',
            shortcut: '',
            inputType: 'checkbox',
            customClass: '',
            tabindex: '',
            hidden: false,
            hideLabel: false,
            autofocus: false,
            disabled: false,
            tableView: false,
            modalEdit: false,
            persistent: true,
            protected: false,
            dbIndex: false,
            encrypted: false,
            redrawOn: '',
            clearOnHide: true,
            customDefaultValue: '',
            calculateValue: '',
            calculateServer: false,
            allowCalculateOverride: false,
            validate: {
              required: false,
              customMessage: '',
              custom: '',
              customPrivate: false,
              json: '',
              strictDateValidation: false,
              multiple: false,
              unique: false
            },
            errorLabel: '',
            errors: '',
            key: 'anoniem',
            tags: [],
            properties: {},
            conditional: {
              show: null,
              when: null,
              eq: '',
              json: ''
            },
            customConditional: '',
            logic: [],
            attributes: {},
            overlay: {
              style: '',
              page: '',
              left: '',
              top: '',
              width: '',
              height: ''
            },
            type: 'checkbox',
            name: '',
            value: '',
            input: true,
            placeholder: '',
            prefix: '',
            suffix: '',
            multiple: false,
            unique: false,
            refreshOn: '',
            dataGridLabel: true,
            labelPosition: 'right',
            widget: null,
            validateOn: 'change',
            showCharCount: false,
            showWordCount: false,
            allowMultipleMasks: false,
            addons: [],
            id: 'ew36t9t',
            defaultValue: false
          },
          {
            label: 'Voornaam',
            labelPosition: 'top',
            labelWidth: '',
            labelMargin: '',
            placeholder: '',
            description: '',
            tooltip: '',
            prefix: '',
            suffix: '',
            widget: {
              type: 'input'
            },
            inputMask: '',
            displayMask: '',
            allowMultipleMasks: false,
            customClass: '',
            tabindex: '',
            autocomplete: '',
            hidden: false,
            hideLabel: false,
            showWordCount: false,
            showCharCount: false,
            mask: false,
            autofocus: false,
            spellcheck: true,
            disabled: false,
            tableView: true,
            modalEdit: false,
            multiple: false,
            persistent: true,
            inputFormat: 'plain',
            protected: false,
            dbIndex: false,
            case: '',
            truncateMultipleSpaces: false,
            encrypted: false,
            redrawOn: '',
            clearOnHide: true,
            customDefaultValue: '',
            calculateValue: '',
            calculateServer: false,
            allowCalculateOverride: false,
            validateOn: 'change',
            validate: {
              required: true,
              minLength: '',
              maxLength: '',
              minWords: '1',
              maxWords: '',
              pattern: '',
              customMessage: 'Probeer je naam goed in te vullen',
              custom: '',
              customPrivate: false,
              json: '',
              strictDateValidation: false,
              multiple: false,
              unique: false
            },
            errorLabel: 'Niet goed',
            errors: '',
            key: 'name',
            tags: [],
            properties: {},
            conditional: {
              show: false,
              when: 'anoniem',
              eq: 'true',
              json: ''
            },
            customConditional: '',
            logic: [],
            attributes: {},
            overlay: {
              style: '',
              page: '',
              left: '',
              top: '',
              width: '',
              height: ''
            },
            type: 'textfield',
            input: true,
            unique: false,
            refreshOn: '',
            dataGridLabel: false,
            addons: [],
            inputType: 'text',
            id: 'eljaec',
            defaultValue: ''
          },
          {
            label: 'Achternaam',
            labelPosition: 'top',
            labelWidth: '',
            labelMargin: '',
            placeholder: '',
            description: '',
            tooltip: '',
            prefix: '',
            suffix: '',
            widget: {
              type: 'input'
            },
            inputMask: '',
            displayMask: '',
            allowMultipleMasks: false,
            customClass: '',
            tabindex: '',
            autocomplete: '',
            hidden: false,
            hideLabel: false,
            showWordCount: false,
            showCharCount: false,
            mask: false,
            autofocus: false,
            spellcheck: true,
            disabled: false,
            tableView: true,
            modalEdit: false,
            multiple: false,
            persistent: true,
            inputFormat: 'plain',
            protected: false,
            dbIndex: false,
            case: '',
            truncateMultipleSpaces: false,
            encrypted: false,
            redrawOn: '',
            clearOnHide: true,
            customDefaultValue: '',
            calculateValue: '',
            calculateServer: false,
            allowCalculateOverride: false,
            validateOn: 'change',
            validate: {
              required: false,
              minLength: '',
              maxLength: '',
              minWords: '',
              maxWords: '',
              pattern: '',
              customMessage: '',
              custom: '',
              customPrivate: false,
              json: '',
              strictDateValidation: false,
              multiple: false,
              unique: false
            },
            errorLabel: '',
            errors: '',
            key: 'lastName',
            tags: [],
            properties: {},
            conditional: {
              show: false,
              when: 'anoniem',
              eq: 'true',
              json: ''
            },
            customConditional: '',
            logic: [],
            attributes: {},
            overlay: {
              style: '',
              page: '',
              left: '',
              top: '',
              width: '',
              height: ''
            },
            type: 'textfield',
            input: true,
            unique: false,
            refreshOn: '',
            dataGridLabel: false,
            addons: [],
            inputType: 'text',
            id: 'erkfrzs',
            defaultValue: ''
          },
          {
            label: 'Telefoonnummer',
            labelPosition: 'top',
            labelWidth: '',
            labelMargin: '',
            placeholder: '',
            description: '',
            tooltip: '',
            prefix: '',
            suffix: '',
            widget: {
              type: 'input'
            },
            inputMask: '(999) 999-9999',
            displayMask: '',
            allowMultipleMasks: false,
            customClass: '',
            tabindex: '',
            autocomplete: '',
            hidden: false,
            hideLabel: false,
            mask: false,
            autofocus: false,
            spellcheck: true,
            disabled: false,
            tableView: true,
            modalEdit: false,
            multiple: false,
            persistent: true,
            inputFormat: 'plain',
            protected: false,
            dbIndex: false,
            case: '',
            truncateMultipleSpaces: false,
            encrypted: false,
            redrawOn: '',
            clearOnHide: true,
            customDefaultValue: '',
            calculateValue: '',
            calculateServer: false,
            allowCalculateOverride: false,
            validateOn: 'change',
            validate: {
              required: false,
              customMessage: '',
              custom: '',
              customPrivate: false,
              json: '',
              strictDateValidation: false,
              multiple: false,
              unique: false,
              minLength: '',
              maxLength: '',
              pattern: ''
            },
            errorLabel: '',
            errors: '',
            key: 'phoneNumber',
            tags: [],
            properties: {},
            conditional: {
              show: false,
              when: 'anoniem',
              eq: 'true',
              json: ''
            },
            customConditional: '',
            logic: [],
            attributes: {},
            overlay: {
              style: '',
              page: '',
              left: '',
              top: '',
              width: '',
              height: ''
            },
            type: 'phoneNumber',
            input: true,
            unique: false,
            refreshOn: '',
            dataGridLabel: false,
            showCharCount: false,
            showWordCount: false,
            addons: [],
            inputType: 'tel',
            inputMode: 'decimal',
            id: 'eawp2a',
            inputMaskPlaceholderChar: '',
            defaultValue: ''
          },
          {
            label: 'Email',
            labelPosition: 'top',
            labelWidth: '',
            labelMargin: '',
            placeholder: '',
            description: '',
            tooltip: '',
            prefix: '',
            suffix: '',
            widget: {
              type: 'input'
            },
            displayMask: '',
            customClass: '',
            tabindex: '',
            autocomplete: '',
            hidden: false,
            hideLabel: false,
            mask: false,
            autofocus: false,
            spellcheck: true,
            disabled: false,
            tableView: true,
            modalEdit: false,
            multiple: false,
            persistent: true,
            inputFormat: 'plain',
            protected: false,
            dbIndex: false,
            case: '',
            truncateMultipleSpaces: false,
            encrypted: false,
            redrawOn: '',
            clearOnHide: true,
            customDefaultValue: '',
            calculateValue: '',
            calculateServer: false,
            allowCalculateOverride: false,
            validateOn: 'change',
            validate: {
              required: false,
              minLength: '',
              maxLength: '',
              pattern: '',
              customMessage: '',
              custom: '',
              customPrivate: false,
              json: '',
              strictDateValidation: false,
              multiple: false,
              unique: false
            },
            kickbox: {
              enabled: false
            },
            errorLabel: '',
            errors: '',
            key: 'email',
            tags: [],
            properties: {},
            conditional: {
              show: false,
              when: 'anoniem',
              eq: 'true',
              json: ''
            },
            customConditional: '',
            logic: [],
            attributes: {},
            overlay: {
              style: '',
              page: '',
              left: '',
              top: '',
              width: '',
              height: ''
            },
            type: 'email',
            input: true,
            unique: false,
            refreshOn: '',
            dataGridLabel: false,
            showCharCount: false,
            showWordCount: false,
            allowMultipleMasks: false,
            addons: [],
            inputType: 'email',
            inputMask: '',
            id: 'ehxxp7',
            defaultValue: ''
          },
          {
            label: 'Locatie',
            labelWidth: '',
            labelMargin: '',
            width: '100%',
            height: '180px',
            latitude: 52.265923341416304,
            longitude: 6.794495616885397,
            zoomLevel: 10,
            leafletCssSource: 'https://unpkg.com/leaflet@1.7.1/dist/leaflet.css',
            leafletJsSource: 'https://unpkg.com/leaflet@1.7.1/dist/leaflet.js',
            defaultBackgroundLayer: 'https://service.pdok.nl/brt/achtergrondkaart/wmts/v2_0/standaard/EPSG:3857/{z}/{x}/{y}.png',
            defaultBackgroundLayerAttribution: 'Kaartgegevens: © <a href="http://www.kadaster.nl">Kadaster</a>',
            bagApiUrl: 'https://api.bag.acceptatie.kadaster.nl/lvbag/individuelebevragingen/v2',
            hideSearch: false,
            bagApiKey: 'your_bag_api_key',
            geoDataApiUrl: 'https://geodata.nationaalgeoregister.nl/locatieserver/v3/suggest?q=type:woonplaats&lat={x}&lon={y}&rows=1',
            description: '',
            customClass: '',
            tabindex: '',
            hideLabel: false,
            validate: {
              required: false,
              customMessage: '',
              custom: '',
              customPrivate: false,
              json: '',
              strictDateValidation: false,
              multiple: false,
              unique: false,
              minLength: '',
              maxLength: '',
              pattern: ''
            },
            unique: false,
            validateOn: 'change',
            errorLabel: '',
            errors: '',
            conditional: {
              show: null,
              when: null,
              eq: '',
              json: ''
            },
            customConditional: '',
            logic: [],
            attributes: {},
            overlay: {
              style: '',
              page: '',
              left: '',
              top: '',
              width: '',
              height: ''
            },
            addons: [],
            type: 'locationLeafletComponent',
            input: true,
            key: 'locatie',
            placeholder: '',
            prefix: '',
            suffix: '',
            multiple: false,
            defaultValue: null,
            protected: false,
            persistent: true,
            hidden: false,
            clearOnHide: true,
            refreshOn: '',
            redrawOn: '',
            tableView: true,
            modalEdit: false,
            dataGridLabel: false,
            labelPosition: 'top',
            tooltip: '',
            disabled: false,
            autofocus: false,
            dbIndex: false,
            customDefaultValue: '',
            calculateValue: '',
            calculateServer: false,
            widget: {
              type: 'input'
            },
            allowCalculateOverride: false,
            encrypted: false,
            showCharCount: false,
            showWordCount: false,
            properties: {},
            allowMultipleMasks: false,
            mask: false,
            inputType: 'text',
            inputFormat: 'plain',
            inputMask: '',
            displayMask: '',
            spellcheck: true,
            truncateMultipleSpaces: false,
            id: 'ebhd1sn'
          }
        ],
        input: false,
        placeholder: '',
        prefix: '',
        customClass: '',
        suffix: '',
        multiple: false,
        defaultValue: null,
        protected: false,
        unique: false,
        persistent: false,
        hidden: false,
        clearOnHide: false,
        refreshOn: '',
        redrawOn: '',
        tableView: false,
        modalEdit: false,
        labelPosition: 'top',
        description: '',
        errorLabel: '',
        tooltip: '',
        hideLabel: false,
        tabindex: '',
        disabled: false,
        autofocus: false,
        dbIndex: false,
        customDefaultValue: '',
        calculateValue: '',
        calculateServer: false,
        widget: null,
        attributes: {},
        validateOn: 'change',
        validate: {
          required: false,
          custom: '',
          customPrivate: false,
        },
        conditional: {
          eq: ''
        },
        overlay: {
          style: '',
          left: '',
          top: '',
          width: '',
          height: ''
        },
        allowCalculateOverride: false,
        encrypted: false,
        showCharCount: false,
        showWordCount: false,
        properties: {},
        allowMultipleMasks: false,
        tree: false,
        theme: 'default',
        breadcrumb: 'default',
        id: 'eypah2g',
        dataGridLabel: false,
        addons: [],
        lazyLoad: false
      }
    ]
  }
}
